/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2010 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  as published by the Free Software Foundation.

  ********************************************
  Coppermine version: 1.5.3
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/trunk/cpg1.5.x/docs/en/script.js $
  $Revision: 7238 $
  $LastChangedBy: gaugau $
  $Date: 2010-02-19 08:11:38 +0100 (Fr, 19. Feb 2010) $
**********************************************/

var linebreak = '\n';

$(function() {
    $("#toc_overall").treeview({
        collapsed: true,
        animated: "medium",
        control:"#sidetreecontrol"
    });
    $(".cpg_zebra tr:even").addClass("tableb");
	$(".cpg_zebra tr:odd").addClass("tableb_alternate");
});

function cpgDocToc() {
  if (getUrlParameters('hide_nav') == 1) {
  	$('#toc').replaceWith('');
	return;
  }
var doc_toc = '';
doc_toc += '<div id="toc_collapsed">\n';
doc_toc += '<h6><a href="toc.htm">Tabla de contenidos</a></h6>\n';
doc_toc += 'Pasa el ratón por encima para expandir\n';
doc_toc += '<div align="center"><img src="../../images/icons/downdown.png" border="0" width="10" height="10" alt="" /></div>\n';
doc_toc += '</div>\n';
doc_toc += '<div id="toc_expanded" style="display:none;">\n';
doc_toc += '<h6>Tabla de contenidos (<a href="../index.htm">Selección de idioma</a>)</h6>\n';
doc_toc += '<ul id="tree">\n';
doc_toc += '  <li><a href="index.htm">Documentación de Coppermine</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="index.htm#about">Sobre Coppermine</a></li>\n';
doc_toc += '      <li><a href="index.htm#about_documentation">Sobre la documentación</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="index.htm#about_documentation_conventions">Convención sobre la documentación</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="index.htm#features">Características</a></li>\n';
doc_toc += '      <li><a href="quickstart.htm#about">Guía rápida</a></li>\n';
doc_toc += '      <li><a href="toc.htm">Tabla de contenidos</a></li>\n';
doc_toc += '      <li><a href="requirements.htm">Requisitos mínimos</a>\n';
doc_toc += '        <ul id="minimum_requirements">\n';
doc_toc += '          <li><a href="requirements.htm#what_minimum">Requisitos mínimos del servidor</a>\n';
doc_toc += '            <ul id="minimum_requirements_server">\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_webserver">Servidor Web</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_php">Soporte de PHP</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_mysql">Base de datos mySQL</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_image_library">Librería gráfica</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="requirements.htm#what_minimum_self-hosting">Actuar de servidor Web &amp; Servidor Web</a></li>\n';
doc_toc += '          <li><a href="requirements.htm#personal">Requisitos para el servidor personal</a></li>\n';
doc_toc += '          <li><a href="requirements.htm#requirements_faq">FAQ de los requisitos</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="testing.htm">Pruebas (versiones alfa/beta)</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="testing.htm#testing_support">No hay soporte para versiones alfa o beta</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_areas">Áreas que merecen atención</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_feature_list">Funcionalidades</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_report">El formato del informe</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_availability">Disponibilidad</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="languages.htm">Idiomas</a>\n';
doc_toc += '        <ul id="languages">\n';
doc_toc += '          <li><a href="languages.htm#how">Cómo funcionan los idiomas en Coppermine</a></li>\n';
doc_toc += '          <li><a href="translation.htm">Guía de traducción</a>\n';
doc_toc += '            <ul id="translation">\n';
doc_toc += '              <li><a href="translation.htm#translation_translators_wanted">¡Se necesitan traductores!</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_why_translate">¿Por qué traducir?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_which_languages">De qué idiomas se necesitan traducciones?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_who">Â¿QuiÃ©n puede traducir?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_char_encoding">Juegos de caracteres</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_editors">Editores &amp; herramientas</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_full_translation">SÃ³lo ficheros completos</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_step_by_step">Paso a paso</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_special_issues">Aspectos especiales</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_versions">Versiones de los idiomas</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_work_in_progress">Trabajo continuado</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_initial_translation">Traducciones bÃ¡sicas para empezar</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_older_language_files">Uso de ficheros de idioma antiguos</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_documentation">Traducir la documentación</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="translation.htm#translation_documentation_steps">Pasoa para traducir los documentos a tu idioma</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_not_exist">Asegúrate de que la traducción no existe ya</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_structure">Crea la estructura</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_copy_core">Copia los ficheros tal cual están</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_start_translating">Empieza a traducir</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_attention">Áreas en las que poner atención</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_toc">Cuidado con la tabla de contenidos</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_zip">Empaqueta y comprime tu traducción</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="translation.htm#translation_links">Para saber más</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="credits.htm">Créditos</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="credits.htm#developers">Equipo de Coppermine</a></li>\n';
doc_toc += '          <li><a href="credits.htm#contributors">Contribuciones</a></li>\n';
doc_toc += '          <li><a href="credits.htm#translators">Traductores</a>\n';
doc_toc += '            <ul class="level3" id="translators">\n';
doc_toc += '              <li><a href="credits.htm#translators_language_file">Ficheros de idioma</a></li>\n';
doc_toc += '              <li><a href="credits.htm#translators_documentation">Documentación</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="credits.htm#codebase">Uso de código libre</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="copyrights.htm">Licencia &amp; derechos de autor</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_copyright">Derechos de autor</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_license">Licencia</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyrights_previous_versions">Versiones anteriores</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_additional">Términos añadidos a la licencia</a>\n';
doc_toc += '            <ul class="level3" id="additional_terms">\n';
doc_toc += '              <li><a href="copyrights.htm#copyright_additional_preservation">Conservación de las atribuciones de autoría</a></li>\n';
doc_toc += '              <li><a href="copyrights.htm#copyright_additional_marking">Diferenciación de versiones modificadas</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_freedom">Libertad</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="known_issues.htm">Problemas conocidos</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="install.htm">Instalación y puesta en funcionamiento</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="install.htm#how">Cómo instalar el script</a></li>\n';
doc_toc += '      <li><a href="install.htm#what">Qué hace el instalador</a></li>\n';
doc_toc += '      <li><a href="install_permissions.htm">Permisos</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="install_permissions.htm#permissions_webserver">Permisos en diferentes tipos de servidores Web</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="install_permissions.htm#chmod">Apache sobre Unix/Linux (CHMOD)</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_basics">Basicos</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_groups">Grupos en Lunix</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_daemon">El servicio del Webserver</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_binary_arithmetics">Aritm´ñetica binaria</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_benefit">¿Para qué es bueno esto?</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_ftp">Aplicación FTP</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_website_control_panel">Panel de control del sitio Web</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_shell_access">Acceso por Shell</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="install_permissions.htm#apache_windows">Apache sobre Windows</a></li>\n';
doc_toc += '              <li><a href="install_permissions.htm#iis">IIS en Windows</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="install_permissions.htm#support">Preguntar a soporte sobre problemas de permisos</a></li>\n';
doc_toc += '          <li><a href="install_permissions.htm#permissions_folders">Permisos de los directorios</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="install_screen.htm#install_screen_start">La pantalla de instalación</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="install_screen.htm#install_screen_classic">La pantalla clásica de instalación</a></li>\n';
doc_toc += '          <li><a href="install_screen.htm#install_screen_wizard">El sistente de instalación</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="auto-installers.htm">Auto-Instaladores</a></li>\n';
doc_toc += '      <li><a href="install_faq.htm">FAQ de la installación</a></li>\n';
doc_toc += '      <li><a href="uninstall.htm">Desinstalar</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="upgrading.htm">Actualizar la versión</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_why">¿Por qué actualizar?</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="upgrading.htm#upgrade_why_reasons">Motivos para sacar paquetes de actualización</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#upgrade_why_changelog">Log de cambios (Changelog)</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_any">Pasos necesarios para subir de versión Coppermine (para cualquier versión)</a></li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_particular">Acciones adicionales para algunas versiones</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_10">Actualizar desde las versiones cpg1.0,1.1,1.2.x or 1.3.x</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_14">Actualizar desde cpg1.4.x a la versión cpg1.5.x</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_15">Actualizar desde versiones cpg1.5.x to a la más reciente</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#updater">El script de actualización</a>\n';
doc_toc += '          <ul class="level3" id="updater">\n';
doc_toc += '              <li><a href="upgrading.htm#updater_what_it_does">Qué hace</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_purpose">Propósito</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_authorization">Comprobaciones de autorización</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_when">¿Cuándo se debe ejecutar el \'actualizador\'?</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#versioncheck">Herramienta de comprobación de versiones</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_description_start">Qué hace</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_options_start">Opciones</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_comparison_start">Comparación de versiones</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_faq">FAQ del cambio de versión</a></li>\n';
doc_toc += '      <li><a href="upgrading.htm#downgrading">Volver desde cpg1.5.x a una versión anterior</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="start.htm">En marcha</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="start.htm#getting_concepts">Conceptos básicos</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_initial_configuration">Configuración inicial</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_structure">Estructura de categoría/álbum/archivo</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_resizing">Imágenes reescaladas</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_thumbnails">Miniaturas</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_intermediate">Intermedias</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_original">Originales</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_recommended">Configuraciones de reescalado recomendadas</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_nofullsize">Sin ventanas emergentes con la imagen a tamaño completo</a></li>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_nointermediate">Con ventanas emergentes de tamaño completo con máximo ahorro de espacio</a></li>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_regular">Configuración &quot;normal&quot; con uso de espacio moderado</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="start.htm#getting_admin_account">Tu cuenta de administración</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_check_uploads">Comprobar las cargas</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_consider_bridging">Considera enlazar (bridging)</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_interaction">¿Qué permites a los visitantes?</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_design">Cambia el diseño de tu galería</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_typical">Configuraciones típicas</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_monolithic">Un usuario carga, los demás no interaccionan (galería monolítica)</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_single_uploader_community">Un usuario carga, los demás actúan también</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_multiple_uploader_closed">Varios/muchos cargan, pero no se permiten usuarios nuevos (grupo cerrado)</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="faq.htm">Preguntas frecuentes</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="faq.htm#faq_setup">Puesta en marcha / Configuración</a></li>\n';
doc_toc += '      <li><a href="faq.htm#hacks">Añadidos / Modificaciones / Hacks</a></li>\n';
doc_toc += '      <li><a href="faq.htm#support_board">Consejo de soporte de Coppermine (Coppermine Support board)</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="theme.htm">Temas</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="theme.htm#theme_builtin">Temas incluidos en Coppermine</a></li>\n';
doc_toc += '      <li><a href="theme.htm#theme_upgrading">Actualizando tu tema personalizado</a>\n';
doc_toc += '      <ul>\n';
doc_toc += '        <li><a href="theme_upgrade_14x-15x.htm">Conversión de temas de cpg1.4.x a cpg1.5.x</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#style">Edita style.css</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#template">Edita template.html</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#theme">Edita theme.php</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#validation">Metodología de validación</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '        </li>\n';
doc_toc += '        <li><a href="theme_upgrade_13x-14x.htm">Conversión de temas cpg1.3.x a cpg1.4.x</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '            <li><a href="theme_upgrade_13x-14x.htm#style">Edita style.css</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_13x-14x.htm#template">Edita template.html</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_13x-14x.htm#theme">Edita theme.php</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_13x-14x.htm#validation">Metodología de validación</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '        </li>\n';
doc_toc += '      </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme.htm#theme_files">Contenido de un tema</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_template.htm#theme_template_html">Editar template.html</a>\n';
doc_toc += '              <ul class="level3" id="theme_template_html">\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_token">Tokens del modelo</a></li>\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_important">Importante</a></li>\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_token_list">Lista de tokens en template.html</a></li>\n';
doc_toc += '              </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_style_css.htm#theme_style_css">Editar style.css</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_tools">Herramientas</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="theme_style_css.htm#theme_style_css_tools_webdev">Uso de Web Developer Toolbar</a></li>\n';
doc_toc += '                  <li><a href="theme_style_css.htm#theme_style_css_tools_editor">Editor</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_list">Lista de las clases en style.css</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_overall">Hojas de estilo adicional</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_theme_php.htm#theme_create_theme_php">Editar theme.php</a>\n';
doc_toc += '              <ul class="level3" id="theme_theme_php">\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_types">Tipos de entradas</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm">El tema sample - un modelo del que copiar</a></li>\n'; //Jmatute: pendiente
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_method">Método</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_scope">Alcance</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_list">Lista de entradas in theme.php</a></li>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples">Ejemplos de temas</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="theme_examples.htm#theme_examples_content">Contenido adicional</a>\n';
doc_toc += '                        <ul>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_thumbnail">Contenido adicional en la página de miniaturas</a>\n';
doc_toc += '                            <ul>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_thumbnail_extra_row">Fila extra entre dos filas de miniaturas</a></li>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_thumbnail_cell">Celda extra en cada página de miniaturas</a></li>\n';
doc_toc += '                            </ul>\n';
doc_toc += '                          </li>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_displayimage">Contenido adicional en la página de imágenes intermedias</a>\n';
doc_toc += '                            <ul>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_displayimage_image">Directly next to the intermediate image</a></li>\n'; //Jmatute: pendiente
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_displayimage_filmstrip">Directly next to the film strip</a></li>\n'; //Jmatute: pendiente
doc_toc += '                            </ul>\n';
doc_toc += '                          </li>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_fullsize">Contenido adicional en la ventana emergente de tamaño completo</a></li>\n';
doc_toc += '                        </ul>\n';
doc_toc += '                      </li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_summary">Resumen</a></li>\n';
doc_toc += '              </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme.htm#theme_engine">How the theme engine works</a></li>\n';
doc_toc += '      <li><a href="theme_user-contributions.htm#theme_user-contributions">Temas creados por los usuarios (contribuciones)</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_preview">Vista previa de temas creados por los usuarios</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_download">Descargar estos temas</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_install">Instalarlos</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_copyrights">Derechos de autor</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_support">Pedir soporte de estos temas</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_contributing">Contribuir con tu tema</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_create.htm#theme_create">Crear el tema personalizado</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_rename">Renombralo primero</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_tipps">Trucos, pistas y todo eso</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_wysiwyg">Uso de editores WYSIWYG</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_colors">Cambiar colores</a></li>\n';
doc_toc += '          <li><a href="theme_create_matching_page_tutorial.htm#theme_matching">Crear un tema Coppermine que combine con el diseño general de tu sitio</a></li>\n';
doc_toc += '          <li><a href="theme_template.htm#theme_template_html">Editar template.html</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_token">Tokens del modelo</a></li>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_important">Importante</a></li>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_token_list">Lista de tokens en template.html</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_theme_php.htm#theme_php">Editar theme.php</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_types">Tipos de entradas</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_sample">El tema sample - un modelo del que copiar</a></li>\n'; //Jmatute: pendiente
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_method">Método</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_scope">Alcance</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_list">Lista de entradas en theme.php</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_style_css.htm#theme_style_css">Editar style.css</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_tools">Herramientas</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_list">Lista de las clases en style.css</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_overall">Hojas de estilo adicional</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_copyright.htm">Descarga de responsabilidad de los derechos de autor (Copyright-disclaimer) en el pie de página</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_copyright.htm#theme_copyright_fair_use">Uso correcto</a>\n';
doc_toc += '          <li><a href="theme_copyright.htm#theme_copyright_unfair_use">Juego sucio</a>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="php-content.htm">Contenido dinámico (PHP-driven)</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_anycontent">Usando anycontent.php</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_header_footer">Cabeceras y pies de páginas personalizados</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_theme">Contenido dinámico dependiente del tema (theme.php)</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_core">Modificando los ficheros básicos (core files)</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_graphics.htm">Recursos gráficos de los temas</a>\n';
doc_toc += '          <ul class="level3" id="theme_graphics">\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_menu_icons">Iconos de menú</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_nav_bar">Barra de navegación de imágenes</a></li>\n'; //Jmatute: pendiente de comprobar
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_rating">Valoración de imágenes</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_film_strip">Gráficos para la tira de película</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_progress">Imagen de progreso de la carga (loader)</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="administration.htm">Administración</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="admin_menu.htm">Entradas del menú</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="admin_menu.htm#admin_user_mode">Mostrar / ocultar controles de administración</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#upload_approval">Aprobación de cargas</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#config">Configuración</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#categories">Categorías</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#albums">Álbums</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#sort_my_pictures">Ordenar mis imágenes</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#groups">Grupos</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#users">Usuarios</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#ban">Expulsar usuarios</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#my_profile">Mi perfil</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#review_comments">Revisar comentarios</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#ecard_log">Mostrar postales</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#batch_add">Añadir ficheros por lotes (Batch)</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#admin_tools">Herramientas de administración (Reescalar imágenes)</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#keyword_manager">Gestor de palabras clave</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#plugin_manager">Gestor de plugins</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#bridge_manager">Gestor de enlaces / integración (bridges)</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#view_log">Ficheros de registro (logs)</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#">Estadísticas generales</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#stats"></a></li>\n'; //Jmatute: pendiente de preguntar en el foro
doc_toc += '          <li><a href="admin_menu.htm#versioncheck">Comprobación de versiones</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#update_database">Actualizar la base de datos</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#export">Exportar</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#phpinfo">phpinfo</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#show_news">Mostrar novedades</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#documentation">Documentación</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#">Modo de administración para usuarios regulares</a></li>\n'; //Jmatute: pendiente
doc_toc += '          <li><a href="admin_menu.htm#admin_mode_regular_users"></a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#user_menu_items">Entradas de administración en el manú para usuarios regulares</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="banning.htm#banning">Expulsiones</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="banning.htm#banning_whats_new">¿Qué hay de nuevo?</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_scope">Alcance</a></li>\n';
doc_toc += '          <li><a href="banning.htm#bannig_how_it_works">¿Cómo funciona?</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_by_ip_address_no_good">Por qué no se recomienda expulsar una IP</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_page">Controlses de página</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_bridged">No usar cuando esté integrado</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_todo">Pendiente</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="configuration.htm">Configuración</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="configuration.htm#admin_general">Configuración general</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_language">Idioma y conjunto de caracteres</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_theme">Temas (aspecto)</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_album_list">Lista de álbumes</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_thumbnail_view">Vista de miniaturas</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_image_comment">Vista de imágenes</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_comment_start">Comentarios</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_contact_start">Formulario de contacto</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_thumb_start">Miniaturas</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_picture_thumbnail">Archivos</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_watermarking">Marcas de agua</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_registration">Registro</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_user">Usuarios</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_custom">Campos personalizados para perfiles de usuarios</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_custom_image">Campos extra para descripción de imágenes</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_cookie">Cookies</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_email">Correo</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_logging">Registro de sucesos y estadísticas</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_misc">Mantenimiento</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_reset_entire_config">Restaurar valores de fábrica</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="groups.htm">Groups</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="groups.htm#group_cp">El panel de control de grupos</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_names">Nombres</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_types">Tipos</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_quota">Cuota de disco</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_permissions">Permisos del grupo (Valorar/Postales/Comentarios)</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_public">Subida en álbumes públicos</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_personal">Galerías personales</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_upload_method">Método de subida</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_assigned">Assigned albums</a></li>\n'; //Jmatute: pendiente
doc_toc += '          <li><a href="groups.htm#group_cp_create">Crear de grupos personalizados</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_delete">Borrar de grupos personalizados</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_sync">Lanzar sincronización (sólo para galerías enlazadas, bridged)</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="users.htm">Usuarios</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="users.htm#user_cp">Panel de control de usuarios</a></li>\n';
doc_toc += '          <li><a href="users.htm#user_cp_page">Controles de la página</a></li>\n'; //Jmatute: pendiente
doc_toc += '          <li><a href="users.htm#user_cp_search">Buscando usuarios</a></li>\n';
doc_toc += '          <li><a href="users.htm#user_cp_new">Crear nuevos</a></li>\n';
doc_toc += '          <li><a href="users.htm#user_cp_edit">Editar usuarios</a></li>\n';
doc_toc += '          <li><a href="users.htm#user_cp_group">Asignación de grupos</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="categories.htm">Categorías</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="categories.htm#cat_cp">Panel de control de categorías</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="categories.htm#cat_cp_page_controls">Controles de la página</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_sort">Apartado superior &quot;Ordenar categorías alfabéticamente&quot;</a></li>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_categories">Middle box &quot;Gestionar categoría&quot;</a></li>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_create">Apartado inferior&quot;Actualizar/crear categoría&quot;</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="categories.htm#cat_user_galleries">La categoría especial &quot;Galerías de usuario&quot;</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="albums.htm">Álbumes</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="albums.htm#albmgr">El gestor de álbumes</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_create">Crear álbumes</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_rename">Renombrar álbumes</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_order">Cambiar el orden del álbum</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_delete">Borrar álbumes</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="albums.htm#modif_alb_pics">Modificar álbumes/archivos</a></li>\n';
doc_toc += '          <li><a href="albums.htm#album_prop">Propiedades del álbum</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="albums.htm#album_prop_reset_start">Volver a las opciones por defecto</a></li>\n'; //Jmatute: pendiente
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="albums.htm#album_admin_user">Administradores vs. usuarios</a></li>\n';
doc_toc += '          <li><a href="albums.htm#album_faq">FAQ del álbum</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="files.htm">Archivo</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="files.htm#edit_pics">Editar archivos</a></li>\n';
doc_toc += '          <li><a href="files.htm#edit_vids">Editar videos</a></li>\n';
doc_toc += '          <li><a href="files.htm#cust_thmb">Miniaturas personalizadas</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_order">Orden de las miniaturas</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_types">Tipos de miniaturas</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_upload">Cargar miniaturas personalizadas</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_how">Cómo funciona</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_how_naming">Nomenclatura</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_why">¿Porqué Coppermine no puede crear miniaturas para mis vídeos?</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_step">Instrucciones: paso a paso</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_faq">FAQ de miniaturas personalizadas</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="keywords.htm">Palabras clave</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="keywords.htm#keywords_assign">Asignación de palabras clave</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_assign_separator">Separador o delimitador de palabras clave</a></li>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_assign_edit">Editar/añadir palabras clave</a></li>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_manager">Gestor de palabras clave</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="keywords.htm#keywords_album">Palabras clave del álbum</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bbcode.htm">bbCode</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_purpose">Propósito</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_available">Etiquetas bbCode disponibles</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_dangers">Peligros</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_control">Más control</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="exif.htm">Datos Exif</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="exif.htm#exif_what">Qué es EXIF</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_makers">Different flavors</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_how_it_works">How it works</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_image_libraries">No exif support on the server</a></li>\n'; //Jmatute: pendiente
doc_toc += '          <li><a href="exif.htm#exif_limitations">Limitaciones</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_manager">Gestor de datos EXIF</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="plugins.htm">Plugins</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_definition">¿Qué es un plugin?</a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_api">El API de los plugin </a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_obtain">¿Dónde conseguir plugins?</a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_bundled">Plugins incluidos en Coppermine</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_link_target">Link Target (link_target)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_onlinestats">Who is online? (onlinestats)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_opensearch">OpenSearch (opensearch)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_sample">Sample Plugin (sample)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_usergal_alphatabs">User Gallery Alphabetic Tabbing (usergal_alphatabs)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_visiblehookpoints">Visible HookPoints (visiblehookpoints)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_sef_url">SEF_URLS plugin</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_manager">El gestor de plugins</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_upload">Subiendo un plugin</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_install">Instalar un plugin</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_configuration">Configuración de un plugin</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_uninstall">Desinstalar un plugin</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_writing">Escribir plugins</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="performance.htm#perf_tips">Rendimiento</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="performance.htm#perf_config">Ajustes de configuración</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_general">General</a></li>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_spikes">Spiking</a></li>\n';  //Jmatute: pendiente
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="performance.htm#perf_server">Ajustes en el servidor</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_spikes">Ajustes en PHP</a></li>\n';
doc_toc += '              <li><a href="performance.htm#perf_server_mysql">Ajustes en MySQL</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="performance.htm#perf_tools">Herramientas de terceros</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_yslow">YSlow</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n'; 
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="admin-tools.htm#admin_tools">Herramientas administrativas</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="admin-tools.htm#admin_tools_options">Herramientas disponibles</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_rebuild">Actualizar miniaturas y/o reescalar imágenes</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_filename_filetitle">Nombre de fichero &rarr; título del fichero</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_titles">Borrar los títulos</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_original">Borrar las imágeness de tamaño original</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_intermediate">Borrar las imágenes intermedias</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_older_files">Borrar archivos más antiguos que un número de días</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_comments">Borrar los comentarios huérfanos</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_original_backup">Borrar originales de las imágeness con marca de agua</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_reload_dimensions">Recargar la información de dimensiones y tamaño</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_reset_views">Poner a cero los contadores de visitas</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_keyword_convert">Convertir el separador de palabras clave</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="admin-tools.htm#admin_tools_usage">Uso</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="errors.htm#errors">Errores</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="errors.htm#errors_types">Error types</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_soft">Errores leves</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_hard">Errores graves</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_unhandled">Errores no controlados</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="errors.htm#errors_fatal">Error fatal</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_config">Activar la depuración en la configuración</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_manual">Activar la depuración manualmente</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_off">Desactivar la depuración</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="errors.htm#errors_messages">Mensajes habituales de error</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_messages_database">Mensajes relativos a la base de datos</a></li>\n';
doc_toc += '              <li><a href="errors.htm#commonPHPerrors">Errores PHP habituales</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_messages_upload">Mensajes de error relativos a las cargas (subidas)</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="export.htm#backup_export">Copias de seguridad</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="export.htm#backup_file">Copia de seguridad de ficheros</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="export.htm#backup_file_complete">Completa</a></li>\n';
doc_toc += '              <li><a href="export.htm#backup_file_partial">Parcial</a></li>\n';
doc_toc += '              <li><a href="export.htm#backup_file_incremental">Incremental</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="export.htm#backup_database">Copia de seguridad de la base de datos</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="export.htm#backup_database_what">¿Qué hay que copiar?</a></li>\n';
doc_toc += '              <li><a href="export.htm#backup_database_tools">Herramientas</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_tools_phpmyadmin">phpMyAdmin</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_tools_mysqldumper">mySqlDumper</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_tools_shell_mysqldump">mysqldump</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_tools_shell_mysqlhotcopy">mysqlhotcopy</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="export.htm#backup_database_after">Después de hacer la copia de seguridad de la base de datos</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="export.htm#moving">Mover tu galería</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="export.htm#moving_folder">Mover en tu servidor Web</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_server">Mover de un servidor Web a otro</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_disadvantages">Desventajas de renombrar</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_config_url">Cambiar la URL de Coppermine en la configuración</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="watermarking.htm#watermark">Marcas de agua</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="watermarking.htm#watermark_alternatives">Alternativas</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_no_right_click">Quitar el menú contextual</a></li>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_registered_only">Mostrar el contenido más valioso sólo a los usuarios registrados</a></li>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_overlay">Display on overlay</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="watermarking.htm#watermark_client_sided">Marcas de agua desde la máquina cliente</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="uploading.htm">Subir ficheros</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="uploading_batch-add.htm#batch_add_pics">Subir ficheros por FTP / Añadir ficheros por lotes</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_pics_what">Qué hace el &quot;Añadir ficheros por lotes&quot;</a></li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_pics_how"></a></li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#">How batch-add works</a></li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_common_mistakes">Errores habituales</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_doesnt_work">&quot;Añadir ficheros por lotes&quot; no funciona como se espera</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_broken_files">Los ficheros parecen estar rotos o corruptos</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_rename">No renombres</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_delete">No borres</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_sort">Ordenación</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_sort_capitalization">Las mayúsculas importan</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_sort_numbers">Las máquinas tratan a los números de forma diferente</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="uploading_http.htm#upload_http">Cargar (subir) por HTTP</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_http.htm#upload_http_interface">Interfases de carga</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_http.htm#upload_http_interface_flash">Basado en Flash, múltiples ficheros</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="uploading_http.htm#upload_http_interface_flash_usage">Uso</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="uploading_http.htm#upload_http_interface_html">Basado en HTML, un solo fichero cada vez</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="uploading_http.htm#upload_http_interface_html_usage">Uso</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="uploading_xp-publisher.htm#xp">Asistente de publicación de Windows XP</a>\n'; //JLM: pendiente de preguntar
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_requirements">Requisitos</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_setup">Configuración</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_upload">Subir imágenes</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_upload">Estructura de ficheros</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_remove">Quitar/desinstalar</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upload_troubleshooting.htm#upload_trouble">Solución de problemas en las cargas</a>\n';
doc_toc += '         <ul>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_permission">Permisos</a></li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_enable_settings">Activar las opciones para la resolución de problemas</a></li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_support">Pedir ayuda en problemas de subidas</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_support_step-by-step">Guía paso a paso para pedir soporte</a>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_support_example">Ejemplo de solicitud de soporte</a>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_error_messages">Mensajes de error</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorCantMovePic"></a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorImpossibleToMove">Imposible mover x a y</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorFailedToOpenDir">fallo al abrir directorio: no existe el  fichero o el directorio</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#httpPostVars">Variable no definida: HTTP_POST_VARS</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorNoAlbumExisting">Lo siento, pero no hay ningún álbum al que puedas subir ficheros</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorAllowedMemorySize">Se ha gastado toda la memoria permitida</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorExecDisabled">Exec() está desactivado</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorNotAGdExtension">No es una extensión GD válida</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#imagemagick127">Error al ejecutar ImageMagick - valor devuelto 127</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#no_gd_support">El PHP que se ejecuta en tu servidor no soporta la biblioteca gráfica GD</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#no_file_uploaded">¡No se subió ningún fichero! Si has seleccionado uno para cargar verifica que el servidor permite subidas</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#destination_not_writable">El directorio destino x no permite escritura por este script</a></li>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions">Restricciones del servidor</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions_php_ini">El ficerho de configuración php.ini</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions_check">Puntos para verificar</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_methods">Mecanismos y métodos de subida</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_memory_usage">Uso de memoria durante el reescalado</a></li>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '         </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="comments.htm">Comentarios</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="comments.htm#comments_allow">Permitir comentarios</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_options">Opciones</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_options_spam">Problemas de spam</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_captcha">Asistente visual (Captcha)</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_approval">Aprobación</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_akismet">Akismet</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_resume">Resumen</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="comments.htm#comments_review">Revisar comentarios</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_individual">Comentarios individuales</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="bridging.htm">Enlace/Integración con otras aplicaciones (Bridging)</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_purpose">Qué hace el enlace</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_start">Archivos disponibles para el enlace</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_prerequisites_start">Prerrequistos</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_cookie_start">Autenticación por cookie</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_standalone_start">Primero la versión autónoma</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_users_start">Usuarios, grupos y archivos cargados por los usuarios que se pierden al integrar</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_backup_start">Copia de seguridad</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_steps_start">Pasos de la integración</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_start">Uso del gestor de enlaces</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_app_start">Escoge la aplicación con la que integrar Coppermine</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_path_start">Ruta(s) usadas por la aplicación integrada</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_full_forum_url">URL de la aplicación integrada</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_relative_path_of_forum_from_webroot">Ruta absoluta de la aplicación integrada</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_relative_path_to_config_file">Ruta relativa al fichero de configuración de la aplicación integrada</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_cookie_prefix">Prefijo de la cookie</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_specific_start">Configuración específica de la aplicación integrada</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_specific_groups">¿Usar los grupos personalizados en la aplicación integrada?</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_enable_start">Activar/Desactivar la integración</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#bridge_manager_recover_start">Recuperar desde una integración fallida</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_steps_sync_start">Sincronizar los grupos de la aplicación integrada con los de Coppermine</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_support_start">Soporte de la integración</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_config_options_start">Algunas opciones de configuración están deshabilitadas</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_files_start">Archivos de la integración</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_file_creating_start">Crear un archivo personalizado de la integración</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_philosophy_start">Filosofía de la integración</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_individual_bridge_issues_start">A tener en cuenta:</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_phpbb3">phpBB3</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_punbb115">PunBB1.1.5</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_punbb12">PunBB1.2</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_xmb">XMB</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_subdomain">Subdomain issues</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_file_system">File system</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_cookie">Cookies</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_www">www-subdomain</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="dev.htm">Documentación para los desarrolladores</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="dev_coding.htm">Coding guidelines</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_scope">Scope</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_indentation">Indentation</a></li>\n';
doc_toc += '          <li><a href="dev_coding_encoding">Encoding</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_general">General guidelines</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_php">PHP code</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_formatting">Formatting</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_control_structures">Control Structures</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_function_calls">Function Calls</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_function_definitions">Function Definitions</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_php_tags">PHP Code Tags</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_nesting">Nesting of HTML in PHP</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_linebreaks">Line breaks</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_naming_conventions">Naming Conventions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_database">Database queries</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_documentation">Documentation</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_html_output">HTML output</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_images">Image-tags in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_dev_coding_html_output_links">Links in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_form">Form elements in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_deprecated">Deprecated tags</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_prefered_tags">Prefered tags</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_credits">Credits for coding guidelines</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_usability">Usability</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_usability_forms">Forms</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_files.htm">Adding/renaming/removing files</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_scope">Scope</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_naming">Naming conventions</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_adding">Adding files</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_renaming">Renaming files</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_deleting">Deleting files</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_superglobals.htm">Sanitization of Superglobals using Inspekt</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_whats_new">What\'s new?</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_reason">Reason</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_about_inspekt">What Inspekt does</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_inspekt_accessor_methods">Inspekt accessor methods</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_howto">How to use Inspekt with Coppermine Photo Gallery</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_using">Using Inspekt</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_inspekt_in_coppermine">Inspekt in Coppermine</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_consider_methods">Consider the methods to use</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_examples">Examples</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_regex">Regular Expressions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_links">Links</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_javascript.htm">Javascript in Coppermine</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_files_location">Javascript files location and organization</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_files_location_todo">TODO</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_include_files">How to include javascript files</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_javascript.htm#dev_javascript_include_files_plugin">How to include JavaScript files in plugins</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_php_vars">How to pass PHP variables to included javascript</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_autostart">Autostart JavaScript</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_plugins.htm">Plugin Writing for Coppermine</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing">Quick Start Guide</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_target_audience">Intended Audience</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_target_audience_yes">People who should read this documentation</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_target_audience_no">People who do not need to read this documentation</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_why_write">Why write plugins?</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_preparation">Preparations</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_name">Choose a name</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_translation">Consider translations</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_config">Consider a config screen</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_db">Database changes</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_support">Support issues</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_versions">Plugin versions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_core_files">Core files</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_naming_conventions">Naming conventions</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_folders">Folders</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_files">Files</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_archives">Archives</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_coding">Coding</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_globals">Use of Superglobals</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_database">Database access</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_direct_queries">Direct queries</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_access">Accessing database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_create">Creating database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_delete">Deleting database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_config">Storing your plugin\'s config values</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_types">Plugin Types</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_includes">Using includes</a></li>\n';
doc_toc += '          <li><a href="dev_plugin_api.htm">Plugin Writing: Tutorial, API</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_who">Intended Audience</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_skills">Required Skills &amp; Knowledge</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_tools">Recommended Software &amp; Support Forums</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_tutorial">"Hello, world" Plugin Tutorial</a>\n';
doc_toc += '                <ul class="level5">\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_first">My First Plugin</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_installconfig">Installation, Configuration, and Clean-Up</a>\n';
doc_toc += '                    <ul class="level5">\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_installsimple">Installation with Simple Configuration</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_install">Installation with Configuration Parameters</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_config">Configuration during Operation</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_cleanup">Uninstallation &amp; Clean-Up</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>  \n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_linking">Linking to Custom Plugin Scripts</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button">Adding a Button to Coppermine</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button_admin_menu">Adding a Button to the admin menu</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button_overall_menu">Adding a Button to the overall menu</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_js">Adding JavaScript to plugins</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_lang">Multi-language Support</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_distrib">Distributing Your Plugin</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_hooks">Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_plugin_class">Plugin Class Properties &amp; Methods</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_globals">Global Variables &amp; Constants</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugin_hooks.htm">Reference list of plugin hooks </a>\n';
doc_toc += '            <ul class="level5">\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_target_audience">Target audience</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_choosing">Choosing Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_finding">Finding Plugin Hooks</a></li>\n';
//doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_using">Using Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_filename">Plugin Hooks by File Name</a>\n';
doc_toc += '                <ul class="level6">\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_php">Script: index.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_anyc">Filter: \'anycontent\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_ucp">Filter: \'user_caption_params\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_pb">Filter: \'plugin_block\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_php">Script: displayimage.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_fi">Filter: \'file_info\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_pbc">Filter: \'post_breadcrumb\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_thumb_php">Script: thumbnails.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_thumb_pbc">Filter: \'post_breadcrumb\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_php">Script: functions.inc.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_ghgf">Filters: \'gallery_header\' and \'gallery_footer\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_td">Filter: \'thumb_data\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_th">Filter: \'template_html\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_pm">Filter: \'page_meta\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_tc">Filters: \'thumb_caption\' and all derivatives</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_th_php">Script: themes.inc.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_th_fd">Filter: \'file_data\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_php">Script: usermgr.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_umh">Filter: \'usermgr_header\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_umf">Filter: \'usermgr_footer\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_php">Script: pluginmgr.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_pcon">Filter: \'plugin_configure\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_pcl">Filter: \'plugin_cleanup\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_php">Script: plugin_api.inc.php</a>\n';
doc_toc += '                    <ul class="level7">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_ph">Filter: \'page_html\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pe">Filter: \'page_end\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pi">Filter: \'plugin_install\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pu">Filter: \'plugin_uninstall\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pw">Filter: \'plugin_wakeup\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_ps">Filter: \'plugin_sleep\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_init_php">Script: init.inc.php</a>\n';
doc_toc += '                    <ul class="level9">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_init_ps">Filter: \'page_start\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_picm_php">Script: picmgmt.inc.php</a>\n';
doc_toc += '                    <ul class="level9">\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_picm_afd">Filter: \'add_file_data\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_alphabetically">Plugin Hooks Alphabetically</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_hooktype">Plugin Hooks by Hook Type</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hook_examples">Plugin Hook Examples</a>\n';
doc_toc += '                <ul class="level6">\n';
doc_toc += '                    <li><a href="dev_plugin_hooks.htm#plugin_hook_example_upload_method">Adding an upload method</a></li>\n';
doc_toc += '                    <li><a href="dev_plugin_hooks.htm#plugin_hook_example_theme_display_thumbnails">Add tags for thumbnails display</a></li>\n';
doc_toc += '                </ul></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_documentation.htm">Editing the documentation</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_edit_existing">Edit existing documents</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_add">Add new documents</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_move">Moving content from one document to the other</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_hidden_feature">Hidden features</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_database_structure">Database structure</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_header_block">Header &amp; footer blocks</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_i18n">Documentation internationalization</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_detail">Expandable/collapsible "detail"-blocks</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_help">Help</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_help_start_end">Start and end anchors needed</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_heading_anchors">Adding anchors to headings</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_code">Code</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_code">CSS class &quot;code&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_html_pre">HTML-tag &quot;pre&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_cpg_code">CSS class &quot;cpg_code&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_smallcode">CSS class &quot;smallcode&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_html_textarea">HTML-tag &quot;textarea&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_combining">Combining HTML tags and CSS classes</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_syntaxhighlighting">No syntax highlighting</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_subversion.htm">Subversion</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_caveat">Caveats</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_definition">What is subversion?</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_hosting">Where is the subversion repository hosted?</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_software">Recommended software</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_repository_structure">Repository structure</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_checking_out">Checking out</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_entire">Checking out the entire repository</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_particular_package">Checking out a particular Package</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_particular_file">Checking out a particular file</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_download">Is there no single package that I could download instead?</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_dev-only">Developers-only</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checkout_checkin">Check out before checking in</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_commit">Committing your code</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_changelog">Changelog</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_step-by-step">Step by step</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_client-download">Download the client application</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_initial_checkout">Initial checkout</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_revision">Revisions</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_config.htm">Adding config options</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_add_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_history">History</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_new_features">New features</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_step_by_step">Step by Step</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_basiq_sql">Basic.sql</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_update_sql">Update.sql</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_array">Admin.inc.php</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_language_file">Language file</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_documentation">Documentation</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_todo">To Do</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_vars.htm#vars_constants">Variables &amp; Constants</a>\n';
doc_toc += '        <ul class="level5">\n';
doc_toc += '          <li><a href="dev_vars.htm#vars_constants_system">System Global Variables</a></li>\n';
doc_toc += '          <li><a href="dev_vars.htm#vars_constants_constants">Coppermine Constants</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_versioncheck.htm">Versioncheck</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_hidden_features">Hidden features</a></li>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_xml">XML structure</a></li>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_todo">To do list</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_update.htm">Updating</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_update.htm#dev_update_target_audience">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_update.htm#dev_update_hidden_feature">Hidden feature</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_tools.htm">Tools recommended by the devs</a>\n';
doc_toc += '          <ul class="level4">\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_database">Database manipulation</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_ftp_client">FTP clients</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_web_development">Web development</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_editor">Text editors</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_picture_editors">Picture Editors</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_database.htm">Database schema</a>\n';
doc_toc += '          <ul class="level4">\n';
doc_toc += '              <li><a href="dev_database.htm#db_config_file">Configuration file</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_reference within_code">Database reference within coppermine code</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_albums">cpg15x_albums</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_banned">cpg15x_banned</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_bridge">cpg15x_bridge</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_categories">cpg15x_categories</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_categorymap">cpg15x_categorymap</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_comments">cpg15x_comments</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_config">cpg15x_config</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_dict">cpg15x_dict</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_ecards">cpg15x_ecards</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_exif">cpg15x_exif</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_favpics">cpg15x_favpics</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_filetypes">cpg15x_filetypes</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_hit_stats">cpg15x_hit_stats</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_languages">cpg15x_languages</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_pictures">cpg15x_pictures</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_plugins">cpg15x_plugins</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_sessions">cpg15x_sessions</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_temp_messages">cpg15x_temp_messages</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_usergroups">cpg15x_usergroups</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_users">cpg15x_users</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_votes">cpg15x_votes</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_vote_stats">cpg15x_vote_stats</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '</ul>\n';
doc_toc += '</div>\n';
$('#toc').replaceWith('<div id="toc">' + doc_toc + '</div>');
}



function cpgDocHeader() {
	// Only display the header if the docs are not included
	if (getUrlParameters('hide_nav') == 1) {
		return;
	}
	$('#docheader').text('Coppermine Photo Gallery v1.5.3: Documentation and Manual');
	$('#docheader').after('<br clear="all" />\n<a name="top"></a>');
	$('#docheader').before('<img src="../images/coppermine-logo.png" alt="Coppermine Photo Gallery - Your Online Photo Gallery" align="left" />\n');
}

function cpgDocSearch() {
	// Only display the header if the docs are not included
	if (getUrlParameters('hide_nav') == 1) {
		return;
	}
	var doc_search = '';
	doc_search += '  <div id="doc_search" style="display:none;">\n';
	doc_search += '    <form action="http://www.google.com/cse" id="cse-search-box">\n';
	doc_search += '      <input type="hidden" name="cx" value="009353514429642786404:1fg_c1k1td8" />\n';
	doc_search += '      <input type="text" name="q" size="25" />\n';
	doc_search += '      <input type="submit" name="sa" value="search docs" style="font-size:9px;" />\n';
	doc_search += '    </form>\n';
	doc_search += '    <script type="text/javascript" src="http://www.google.com/coop/cse/brand?form=cse-search-box&lang=en"></script>\n';
	doc_search += '  </div>\n';
	$('#toc').append(doc_search);
}

function cpgDocFooter() {
  var overall_doc_footer = '';
  overall_doc_footer += '</div>';
  overall_doc_footer += '<div align="right">';
  overall_doc_footer += '<a href="#top">Back to Top</a>';
  overall_doc_footer += '</div>';
  $('#doc_footer').append(overall_doc_footer);
}



function dateRevision() {
  // strip the unneeded data from last_changed and revision fields
  var lastChangeDate = $('#doc_last_changed').text();
  var lastChangeDate = lastChangeDate.replace('$', '');
  var lastChangeDate = lastChangeDate.replace('$', '');
  var lastChangeDate = lastChangeDate.replace('LastChangedDate: ', '');
  var lastChangeDate = lastChangeDate.replace(/Date: /g, '');
  $('#doc_last_changed').text('About this document: ' + 'last changed on ' + lastChangeDate);

  var revisionNumber = $('#doc_revision').text();
  var revisionNumber = revisionNumber.replace('$', '');
  var revisionNumber = revisionNumber.replace('$', '');
  var revisionNumber = revisionNumber.replace(/Revision: /g, '');
  $('#doc_revision').text(', SVN revision ' + revisionNumber);
}

function getUrlParameters(name)
{
  // Taken from http://www.netlobo.com/url_query_string_javascript.html
  name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  var regexS = "[\\?&]"+name+"=([^&#]*)";
  var regex = new RegExp(regexS);
  var results = regex.exec(window.location.href);
  if(results == null) {
    return '';
  } else {
    return results[1];
  }
}

function cpgDocTranslationWarning() {
  $('#doc_en_only').replaceWith('');
  $('#doc_en_partial').replaceWith('');
}

$(document).ready(function()
{
	var $_GET = {};
	document.location.search.replace(/\??(?:([^=]+)=([^&]*)&?)/g, function () {
		function decode(s) {
			return decodeURIComponent(s).replace(/\+/g, " ");
		}
		$_GET[decode(arguments[1])] = decode(arguments[2]);
	});
	//hide all elements with class detail_body
	$(".detail_body").hide();
	if ($_GET["expand_all"] == 1) { // Show all details and get rid of the details toggle if the GET parameter expand_all is set
		$('.detail_body').show();
		$('.detail_head_collapsed').replaceWith('');
	}
	//toggle the component with class detail_body
	$(".detail_head_collapsed").click(function()
	{
		$(this).toggleClass("detail_head_expanded").next(".detail_body").slideToggle(600);
	});
	$(".detail_expand_all").click(function()
	{
		$(".detail_body").slideDown(1200);
		$(".detail_head_collapsed").toggleClass("detail_head_expanded");
		$(".detail_expand_all").hide();
		$(".detail_collapse_all").show();

	});
	$(".detail_collapse_all").click(function()
	{
		$(".detail_body").slideUp(1200);
		$(".detail_head_collapsed").toggleClass("detail_head_expanded");
		$(".detail_expand_all").show();
		$(".detail_collapse_all").hide();

	});
	$(".detail_toggle_all").click(function()
	{
		$(".detail_body").slideToggle(600);
		$(".detail_head_collapsed").toggleClass("detail_head_expanded");
	});
	cpgDocHeader();
	cpgDocTranslationWarning();
	cpgDocToc();
	$("#tree").treeview({
        collapsed: true,
        unique: true,
        animated: "slow",
        persist: "location"
    });
	cpgDocSearch();
	cpgDocFooter();
	dateRevision();
    $("a.nolink").click(function(){
      return false;
    });
    // Fade the toc in if it is needed
	$("#toc").bind("mouseenter",function(){
		$("#toc_collapsed").hide();
		$("#toc_expanded").fadeIn('slow');
		$("#doc_search").show();
	});
	// Fade the toc out if it isn't used
	$("#toc").bind("mouseleave",function(){
		$("#toc_expanded").fadeOut('slow');
		$("#toc_collapsed").show();
		$("#doc_search").hide();
	});
	
});